com.google.zxing.client.result

## Class SMSTOMMSTOResultParser

- java.lang.Object
- - com.google.zxing.client.result.ResultParser
  - - com.google.zxing.client.result.SMSTOMMSTOResultParser

-     public final class SMSTOMMSTOResultParser
      extends ResultParser

  Parses an "smsto:" URI result, whose format is not standardized but appears to be like: `smsto:number(:body)`.

  This actually also parses URIs starting with "smsto:", "mmsto:", "SMSTO:", and "MMSTO:", and treats them all the same way, and effectively converts them to an "sms:" URI for purposes of forwarding to the platform.

  Author:
    Sean Owen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMSTOMMSTOResultParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMSParsedResult` | `parse(Result result)` Attempts to parse the raw `Result`'s contents as a particular type of information (email, URL, etc.) and return a `ParsedResult` encapsulating the result of parsing.

    - ### Methods inherited from class com.google.zxing.client.result.ResultParser

      `getMassagedText, isStringOfDigits, isSubstringOfDigits, maybeAppend, maybeAppend, maybeWrap, parseHexDigit, parseResult, unescapeBackslash`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMSTOMMSTOResultParser

          public SMSTOMMSTOResultParser()

  - ### Method Detail

    - #### parse

          public SMSParsedResult parse(Result result)

      Description copied from class: `ResultParser`
      Attempts to parse the raw `Result`'s contents as a particular type of information (email, URL, etc.) and return a `ParsedResult` encapsulating the result of parsing.
      Specified by:
        `parse` in class `ResultParser`
      Parameters:
        `result` - the raw `Result` to parse
      Returns:
        `ParsedResult` encapsulating the parsing result

Copyright © 2007–2018. All rights reserved.